# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "librarian-puppet"
  s.version = "0.9.10"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Tim Sharpe"]
  s.date = "2013-08-21"
  s.description = "Simplify deployment of your Puppet infrastructure by\n  automatically pulling in modules from the forge and git repositories with\n  a single command."
  s.email = ["tim@sharpe.id.au"]
  s.executables = ["librarian-puppet"]
  s.files = [".gitignore", "LICENSE", "README.md", "bin/librarian-puppet", "lib/librarian/puppet/cli.rb", "lib/librarian/puppet/dsl.rb", "lib/librarian/puppet/environment.rb", "lib/librarian/puppet/extension.rb", "lib/librarian/puppet/lockfile/parser.rb", "lib/librarian/puppet/requirement.rb", "lib/librarian/puppet/source/forge.rb", "lib/librarian/puppet/source/git.rb", "lib/librarian/puppet/source/githubtarball.rb", "lib/librarian/puppet/source/local.rb", "lib/librarian/puppet/source/path.rb", "lib/librarian/puppet/source.rb", "lib/librarian/puppet/templates/Puppetfile", "lib/librarian/puppet/version.rb", "lib/librarian/puppet.rb", "vendor/librarian/bin/librarian-chef", "vendor/librarian/bin/librarian-mock", "vendor/librarian/CHANGELOG.md", "vendor/librarian/config/cucumber.yaml", "vendor/librarian/features/chef/cli/init.feature", "vendor/librarian/features/chef/cli/install.feature", "vendor/librarian/features/chef/cli/show.feature", "vendor/librarian/features/chef/cli/version.feature", "vendor/librarian/features/support/env.rb", "vendor/librarian/Gemfile", "vendor/librarian/lib/librarian/action/base.rb", "vendor/librarian/lib/librarian/action/clean.rb", "vendor/librarian/lib/librarian/action/ensure.rb", "vendor/librarian/lib/librarian/action/install.rb", "vendor/librarian/lib/librarian/action/resolve.rb", "vendor/librarian/lib/librarian/action/update.rb", "vendor/librarian/lib/librarian/action.rb", "vendor/librarian/lib/librarian/chef/cli.rb", "vendor/librarian/lib/librarian/chef/dsl.rb", "vendor/librarian/lib/librarian/chef/environment.rb", "vendor/librarian/lib/librarian/chef/extension.rb", "vendor/librarian/lib/librarian/chef/integration/knife.rb", "vendor/librarian/lib/librarian/chef/manifest_reader.rb", "vendor/librarian/lib/librarian/chef/source/git.rb", "vendor/librarian/lib/librarian/chef/source/local.rb", "vendor/librarian/lib/librarian/chef/source/path.rb", "vendor/librarian/lib/librarian/chef/source/site.rb", "vendor/librarian/lib/librarian/chef/source.rb", "vendor/librarian/lib/librarian/chef/templates/Cheffile", "vendor/librarian/lib/librarian/chef.rb", "vendor/librarian/lib/librarian/cli/manifest_presenter.rb", "vendor/librarian/lib/librarian/cli.rb", "vendor/librarian/lib/librarian/config/database.rb", "vendor/librarian/lib/librarian/config/file_source.rb", "vendor/librarian/lib/librarian/config/hash_source.rb", "vendor/librarian/lib/librarian/config/source.rb", "vendor/librarian/lib/librarian/config.rb", "vendor/librarian/lib/librarian/dependency.rb", "vendor/librarian/lib/librarian/dsl/receiver.rb", "vendor/librarian/lib/librarian/dsl/target.rb", "vendor/librarian/lib/librarian/dsl.rb", "vendor/librarian/lib/librarian/environment.rb", "vendor/librarian/lib/librarian/error.rb", "vendor/librarian/lib/librarian/helpers.rb", "vendor/librarian/lib/librarian/lockfile/compiler.rb", "vendor/librarian/lib/librarian/lockfile/parser.rb", "vendor/librarian/lib/librarian/lockfile.rb", "vendor/librarian/lib/librarian/logger.rb", "vendor/librarian/lib/librarian/manifest.rb", "vendor/librarian/lib/librarian/manifest_set.rb", "vendor/librarian/lib/librarian/mock/cli.rb", "vendor/librarian/lib/librarian/mock/dsl.rb", "vendor/librarian/lib/librarian/mock/environment.rb", "vendor/librarian/lib/librarian/mock/extension.rb", "vendor/librarian/lib/librarian/mock/source/mock/registry.rb", "vendor/librarian/lib/librarian/mock/source/mock.rb", "vendor/librarian/lib/librarian/mock/source.rb", "vendor/librarian/lib/librarian/mock.rb", "vendor/librarian/lib/librarian/resolution.rb", "vendor/librarian/lib/librarian/resolver/implementation.rb", "vendor/librarian/lib/librarian/resolver.rb", "vendor/librarian/lib/librarian/source/git/repository.rb", "vendor/librarian/lib/librarian/source/git.rb", "vendor/librarian/lib/librarian/source/local.rb", "vendor/librarian/lib/librarian/source/path.rb", "vendor/librarian/lib/librarian/source.rb", "vendor/librarian/lib/librarian/spec.rb", "vendor/librarian/lib/librarian/spec_change_set.rb", "vendor/librarian/lib/librarian/specfile.rb", "vendor/librarian/lib/librarian/support/abstract_method.rb", "vendor/librarian/lib/librarian/ui.rb", "vendor/librarian/lib/librarian/version.rb", "vendor/librarian/lib/librarian.rb", "vendor/librarian/librarian.gemspec", "vendor/librarian/MIT-LICENSE", "vendor/librarian/Rakefile", "vendor/librarian/README.md", "vendor/librarian/spec/functional/chef/source/git_spec.rb", "vendor/librarian/spec/functional/chef/source/site_spec.rb", "vendor/librarian/spec/functional/source/git/repository_spec.rb", "vendor/librarian/spec/unit/action/base_spec.rb", "vendor/librarian/spec/unit/action/clean_spec.rb", "vendor/librarian/spec/unit/action/ensure_spec.rb", "vendor/librarian/spec/unit/action/install_spec.rb", "vendor/librarian/spec/unit/config/database_spec.rb", "vendor/librarian/spec/unit/dependency_spec.rb", "vendor/librarian/spec/unit/dsl_spec.rb", "vendor/librarian/spec/unit/environment_spec.rb", "vendor/librarian/spec/unit/lockfile/parser_spec.rb", "vendor/librarian/spec/unit/lockfile_spec.rb", "vendor/librarian/spec/unit/manifest_set_spec.rb", "vendor/librarian/spec/unit/manifest_spec.rb", "vendor/librarian/spec/unit/manifest_version_spec.rb", "vendor/librarian/spec/unit/mock/source/mock_spec.rb", "vendor/librarian/spec/unit/resolver_spec.rb", "vendor/librarian/spec/unit/source/git_spec.rb", "vendor/librarian/spec/unit/spec_change_set_spec.rb"]
  s.homepage = "https://github.com/rodjek/librarian-puppet"
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "Bundler for your Puppet modules"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<thor>, ["~> 0.15"])
      s.add_runtime_dependency(%q<json>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<cucumber>, [">= 0"])
      s.add_development_dependency(%q<aruba>, [">= 0"])
      s.add_development_dependency(%q<puppet>, [">= 0"])
    else
      s.add_dependency(%q<thor>, ["~> 0.15"])
      s.add_dependency(%q<json>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<cucumber>, [">= 0"])
      s.add_dependency(%q<aruba>, [">= 0"])
      s.add_dependency(%q<puppet>, [">= 0"])
    end
  else
    s.add_dependency(%q<thor>, ["~> 0.15"])
    s.add_dependency(%q<json>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<cucumber>, [">= 0"])
    s.add_dependency(%q<aruba>, [">= 0"])
    s.add_dependency(%q<puppet>, [">= 0"])
  end
end
